# SoVRMLScalarInterpolator Class Reference
[VRML97 classes]

`#include <Inventor/VRMLnodes/SoVRMLScalarInterpolator.h>`

Inheritance diagram for SoVRMLScalarInterpolator:

List of all members.

## Detailed Description

The SoVRMLScalarInterpolator class is used to interpolate scalar values.

      ScalarInterpolator {
        eventIn      SFFloat set_fraction         # (-inf, inf)
        exposedField MFFloat key           []     # (-inf, inf)
        exposedField MFFloat keyValue      []     # (-inf, inf)
        eventOut     SFFloat value_changed
      }

This node linearly interpolates among a list of SFFloat values. This interpolator is appropriate for any parameter defined using a single floating point value. Examples include width, radius, and intensity fields. The keyValue field shall contain exactly as many numbers as there are keyframes in the key field. A more detailed discussion of interpolators is available in 4.6.8, Interpolator nodes (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.8>).

## Public Member Functions

| SoVRMLScalarInterpolator (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoMFFloat | keyValue
SoEngineOutput | value_changed

## Protected Member Functions

virtual | ~SoVRMLScalarInterpolator ()

## Constructor & Destructor Documentation

SoVRMLScalarInterpolator::SoVRMLScalarInterpolator | ( | void |  | ) |

| Constructor.

SoVRMLScalarInterpolator::~SoVRMLScalarInterpolator | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLScalarInterpolator::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLInterpolator.

## Member Data Documentation

SoMFFloat SoVRMLScalarInterpolator::keyValue

| The keyValue vector.

SoEngineOutput SoVRMLScalarInterpolator::value_changed

| The eventOut which is sent every time the interpolator has calculated a new value.

The documentation for this class was generated from the following files:

- SoVRMLScalarInterpolator.h
- ScalarInterpolator.cpp